1. Join Now

    AVForums.com uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Firmware 1.0 advice please

Discussion in 'PS Vita Forum' started by GreenBhoy, Oct 11, 2005.

Tags:
  1. GreenBhoy

    GreenBhoy
    Active Member

    Joined:
    Jul 30, 2003
    Messages:
    435
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Location:
    Swindon
    Ratings:
    +10
    Dear All,

    I have had my PSP for about 6 months now. It is a virgin Jap import on firmware 1.0 :D . I ideally would like to keep it on Firmware 1.0 or move it to 1.5 as I like my Megadrive and SNES emulators. 2 Questions if I may:-

    1. How do I upgrade the firmware to 1.5 (only)? - I am not interested in 1.51, 1.52, 2.0 or 2.01 (or whatever the latest incarnation is). The auto updates would, i'm sure, point you to the latest firmware version.

    2. I have just ordered Burnout Legends which presumably would try to force me into upgrading to 2.0 (or later?) which I do not want to do. Is there a safe way of tricking the PSP into thinking it is a more upto date firmware than it actually is?

    Many thanks in advance for your help....

    Regards GreenBhoy
     
  2. chrislad

    chrislad
    Well-known Member

    Joined:
    May 6, 2005
    Messages:
    5,642
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    83
    Location:
    Rep. of Ireland
    Ratings:
    +141
    1. Go to pspupdates.com. I'm pretty sure they have the 1.5 firmware upgrade. That's where I got it when I was downgrading. The current auto update is 2.01. DO NOT GET THIS!!!

    2. There's a handy little program called WAB Changer. It basically makes the PSP think it's running 2.0 or 2.01. Alternatively, you can just make a back up, and run it from the memory stick through Device Hook (0.22 at the moment I think).
     
  3. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    get the demo disc and upgrade to 2.00 then u can downgrade to 1.50,be careful there is a virus goin about u need mph downgrader and 1.50 update,if u want ill send u the software via email,ive downgraded mine twice and the wifes once so i know it works
     
  4. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    plus u dont need to upgrade to play burnout,just install fastloader then start gamefrom the fastloader menu it overrides the upgrade screen
     
  5. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    sorry mate u dont need to upgrade just get the 1.50 upgrade then on a pc go into the psp menu,game make a file called UPGRADE the drop the unzipped file into it and bingo when u go to game update 1.50 will be there need the update ill email it to u if u want
     
  6. GreenBhoy

    GreenBhoy
    Active Member

    Joined:
    Jul 30, 2003
    Messages:
    435
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Location:
    Swindon
    Ratings:
    +10
    Thanks for the help guys - slightly more confused now than when I started!!! :rolleyes:

    IS the WAB changer the "WAB version changer 2.0" from wab.com? It's a RAR file....

    I'm a bit confused about the 1.5 firmware - do I actually need to apply it or just have it sitting in the UPGRADE directory of the MS Pro stick (I have a 1GB)?

    I cannot find the 1.5 firmware on pspupdates.com - any idea? Is the file the same for Upgrading from 1.0 and downgrading from 2.0?

    Am I right in thinking that it is best to be on 1.5 as opposed to 1.0 as more homebrew works on 1.5?

    Many thanks again....

    Regards GreenBhoy
     
  7. chrislad

    chrislad
    Well-known Member

    Joined:
    May 6, 2005
    Messages:
    5,642
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    83
    Location:
    Rep. of Ireland
    Ratings:
    +141
    That's the one (WAB). Just copy the files to the PSP\GAME directory (There should be two folders in the .rar)

    The 1.5 firmware goes into PSP\GAME\UPGRADE (to the best of my recollection. You need to create the UPGRADE folder). Then just run it from within the PSP. The file is the same as with the upgrade/downgrade pack. It is a US 1.5 but I'm using it on my PSP with no issues.
     
  8. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    u dont need that wab changer thing when u have updated get fastloader and run games through that,like i said i have the 1.5 upgrade i u want me to mail it to u let us know
     
  9. GreenBhoy

    GreenBhoy
    Active Member

    Joined:
    Jul 30, 2003
    Messages:
    435
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Location:
    Swindon
    Ratings:
    +10
    Thanks again guys!

    I now have the 1.5 firmware (thanks for the offer of emailing it) - I think my 1st job is to apply this so that I can at least run some of the juicier bits of homebrew....

    How does fastloader compare to UMD emulator? Which is better?.

    I suppose I really want to end up with a 1.5 PSP that can still play homebrew and some (legit) ISOs using launchers/emulators/loaders

    AND

    A 1.5 PSP that can play modern UMDs (like Burnout Legends) but without flashing it to 2.0 or 2.01

    AND

    not creating a brick in the process :eek:

    Regards GreenBhoy
     
  10. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    the thing is with fastloader is u can copy games as well,just put fastloader on and load game from its menu,once game is loaded there is no diff from normal
     
  11. GreenBhoy

    GreenBhoy
    Active Member

    Joined:
    Jul 30, 2003
    Messages:
    435
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Location:
    Swindon
    Ratings:
    +10
    OK Here is the latest:-

    Managed to upgrade to 1.5 via file downloaded from pspudates.com - no problems - now PSP is def 1.5 :)

    Managed to get my emulators working using 1.5 files for both SNES and Genesis. :thumbsup:

    Managed to run Fastloader and test some ISO's :D

    Still awaiting delivery of Burnout Legends. But I presume I choose the option of "Start Inserted UMD" to skip the Upgrade request? :confused:

    Again many thanks indeed for your help....

    Regards GreenBhoy
     
  12. MQUIN SKYWALKER

    MQUIN SKYWALKER
    Active Member

    Joined:
    Mar 1, 2005
    Messages:
    590
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    LEIGH,LANCS
    Ratings:
    +26
    Yes Just Go To That Option
     

Share This Page

Loading...